Package com.omnisci.thrift.server

## Class OmniSci.AsyncClient.get_table_details_for_database_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall<TTableDetails>
  - - com.omnisci.thrift.server.OmniSci.AsyncClient.get_table_details_for_database_call

Enclosing class:
  OmniSci.AsyncClient

    public static class OmniSci.AsyncClient.get_table_details_for_database_call
    extends org.apache.thrift.async.TAsyncMethodCall<TTableDetails>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors
`get_table_details_for_database_call​(String session, String table_name, String database_name, org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TTableDetails` `getResult()`
`void` `write_args​(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_table_details_for_database_call

    public get_table_details_for_database_call​(String session,
                                               String table_name,
                                               String database_name,
                                               org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler,
                                               org.apache.thrift.async.TAsyncClient client,
                                               org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                               org.apache.thrift.transport.TNonblockingTransport transport)
                                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args​(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<TTableDetails>`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public TTableDetails getResult()
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<TTableDetails>`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`